Service returning the evolution Colder / Warmer / Neutral for a site for a period.
curl --request GET \
--url https://api.home.datanumia.com/api/v1/sites/{site-id}/weather-comparisonimport requests
url = "https://api.home.datanumia.com/api/v1/sites/{site-id}/weather-comparison"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.home.datanumia.com/api/v1/sites/{site-id}/weather-comparison', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.home.datanumia.com/api/v1/sites/{site-id}/weather-comparison",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.home.datanumia.com/api/v1/sites/{site-id}/weather-comparison"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.home.datanumia.com/api/v1/sites/{site-id}/weather-comparison")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.home.datanumia.com/api/v1/sites/{site-id}/weather-comparison")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body[
{
"evolution": "COLDER"
}
]{
"errorCode": "<string>",
"errorDescription": "<string>"
}This response has no body data.This response has no body data.Weathers Comparison
Service returning the evolution Colder / Warmer / Neutral for a site for a period.
Service returning the evolution Colder / Warmer / Neutral for a site for a period.
GET
/
sites
/
{site-id}
/
weather-comparison
Service returning the evolution Colder / Warmer / Neutral for a site for a period.
curl --request GET \
--url https://api.home.datanumia.com/api/v1/sites/{site-id}/weather-comparisonimport requests
url = "https://api.home.datanumia.com/api/v1/sites/{site-id}/weather-comparison"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.home.datanumia.com/api/v1/sites/{site-id}/weather-comparison', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.home.datanumia.com/api/v1/sites/{site-id}/weather-comparison",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.home.datanumia.com/api/v1/sites/{site-id}/weather-comparison"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.home.datanumia.com/api/v1/sites/{site-id}/weather-comparison")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.home.datanumia.com/api/v1/sites/{site-id}/weather-comparison")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body[
{
"evolution": "COLDER"
}
]{
"errorCode": "<string>",
"errorDescription": "<string>"
}This response has no body data.This response has no body data.Path Parameters
the identifier of the site
Query Parameters
Begin date 1(included). ISO8601 (yyyy-MM-dd'T'HH:mm:ss)
Example:
"2019-01-01T00:00:00Z"
End date 1 (excluded). ISO8601 (yyyy-MM-dd'T'HH:mm:ss)
Example:
"2019-01-01T00:00:00Z"
Begin date 2(included). ISO8601 (yyyy-MM-dd'T'HH:mm:ss)
Example:
"2019-01-01T00:00:00Z"
End date 2(excluded). ISO8601 (yyyy-MM-dd'T'HH:mm:ss)
Example:
"2019-01-01T00:00:00Z"
Response
OK
evolution of the temperature Colder / Warmer / Neutral
Available options:
COLDER, WARMER, NEUTRAL Example:
"COLDER"